## irrlicht 1.8.1+dfsg1

=== source/Irrlicht/Makefile ===
VERSION_MAJOR = 1
VERSION_MINOR = 8
VERSION_RELEASE = 1
# Irrlicht Engine 1.8.1
# Makefile for Linux
#
# To use, just run:
#
# make
#
# This will compile Irrlicht, create a static lib (libIrrlicht.a), and copy it
# into the subdirectory lib/Linux. That's all.
#
# If you want Irrlicht to be compiled as shared lib (libIrrlicht.so.versionnumber), then run:
#
# make sharedlib
# make install
#
# If you want to compile in release mode run:
#
# make NDEBUG=1
#
# For cross-compilation for Win32 under Linux, just use the win32 targets. You have to set
# at least CXX, CC, and AR to the proper binaries.
#
# For compiling on MinGW you can run it with:
#
# make win32
#

#List of object files, separated based on engine architecture
IRRMESHLOADER = CBSPMeshFileLoader.o CMD2MeshFileLoader.o CMD3MeshFileLoader.o CMS3DMeshFileLoader.o CB3DMeshFileLoader.o C3DSMeshFileLoader.o COgreMeshFileLoader.o COBJMeshFileLoader.o CColladaFileLoader.o CCSMLoader.o CDMFLoader.o CLMTSMeshFileLoader.o CMY3DMeshFileLoader.o COCTLoader.o CXMeshFileLoader.o CIrrMeshFileLoader.o CSTLMeshFileLoader.o CLWOMeshFileLoader.o CPLYMeshFileLoader.o CSMFMeshFileLoader.o
IRRMESHWRITER = CColladaMeshWriter.o CIrrMeshWriter.o CSTLMeshWriter.o COBJMeshWriter.o CPLYMeshWriter.o
IRRMESHOBJ = $(IRRMESHLOADER) $(IRRMESHWRITER) \
	CSkinnedMesh.o CBoneSceneNode.o CMeshSceneNode.o \
	CAnimatedMeshSceneNode.o CAnimatedMeshMD2.o CAnimatedMeshMD3.o \
	CQ3LevelMesh.o CQuake3ShaderSceneNode.o CAnimatedMeshHalfLife.o
IRROBJ = CBillboardSceneNode.o CCameraSceneNode.o CDummyTransformationSceneNode.o CEmptySceneNode.o CGeometryCreator.o CLightSceneNode.o CMeshManipulator.o CMetaTriangleSelector.o COctreeSceneNode.o COctreeTriangleSelector.o CSceneCollisionManager.o CSceneManager.o CShadowVolumeSceneNode.o CSkyBoxSceneNode.o CSkyDomeSceneNode.o CTerrainSceneNode.o CTerrainTriangleSelector.o CVolumeLightSceneNode.o CCubeSceneNode.o CSphereSceneNode.o CTextSceneNode.o CTriangleBBSelector.o CTriangleSelector.o CWaterSurfaceSceneNode.o CMeshCache.o CDefaultSceneNodeAnimatorFactory.o CDefaultSceneNodeFactory.o CSceneLoaderIrr.o
IRRPARTICLEOBJ = CParticleAnimatedMeshSceneNodeEmitter.o CParticleBoxEmitter.o CParticleCylinderEmitter.o CParticleMeshEmitter.o CParticlePointEmitter.o CParticleRingEmitter.o CParticleSphereEmitter.o CParticleAttractionAffector.o CParticleFadeOutAffector.o CParticleGravityAffector.o CParticleRotationAffector.o CParticleSystemSceneNode.o CParticleScaleAffector.o
IRRANIMOBJ = CSceneNodeAnimatorCameraFPS.o CSceneNodeAnimatorCameraMaya.o CSceneNodeAnimatorCollisionResponse.o CSceneNodeAnimatorDelete.o CSceneNodeAnimatorFlyCircle.o CSceneNodeAnimatorFlyStraight.o CSceneNodeAnimatorFollowSpline.o CSceneNodeAnimatorRotation.o CSceneNodeAnimatorTexture.o
IRRDRVROBJ = CNullDriver.o COpenGLDriver.o COpenGLNormalMapRenderer.o COpenGLParallaxMapRenderer.o COpenGLShaderMaterialRenderer.o COpenGLTexture.o COpenGLSLMaterialRenderer.o COpenGLExtensionHandler.o CD3D8Driver.o CD3D8NormalMapRenderer.o CD3D8ParallaxMapRenderer.o CD3D8ShaderMaterialRenderer.o CD3D8Texture.o CD3D9Driver.o CD3D9HLSLMaterialRenderer.o CD3D9NormalMapRenderer.o CD3D9ParallaxMapRenderer.o CD3D9ShaderMaterialRenderer.o CD3D9Texture.o
IRRIMAGEOBJ = CColorConverter.o CImage.o CImageLoaderBMP.o CImageLoaderDDS.o CImageLoaderJPG.o CImageLoaderPCX.o CImageLoaderPNG.o CImageLoaderPSD.o CImageLoaderTGA.o CImageLoaderPPM.o CImageLoaderWAL.o CImageLoaderRGB.o \
	CImageWriterBMP.o CImageWriterJPG.o CImageWriterPCX.o CImageWriterPNG.o CImageWriterPPM.o CImageWriterPSD.o CImageWriterTGA.o
IRRVIDEOOBJ = CVideoModeList.o CFPSCounter.o $(IRRDRVROBJ) $(IRRIMAGEOBJ)
IRRSWRENDEROBJ = CSoftwareDriver.o CSoftwareTexture.o CTRFlat.o CTRFlatWire.o CTRGouraud.o CTRGouraudWire.o CTRNormalMap.o CTRStencilShadow.o CTRTextureFlat.o CTRTextureFlatWire.o CTRTextureGouraud.o CTRTextureGouraudAdd.o CTRTextureGouraudNoZ.o CTRTextureGouraudWire.o CZBuffer.o CTRTextureGouraudVertexAlpha2.o CTRTextureGouraudNoZ2.o CTRTextureLightMap2_M2.o CTRTextureLightMap2_M4.o CTRTextureLightMap2_M1.o CSoftwareDriver2.o CSoftwareTexture2.o CTRTextureGouraud2.o CTRGouraud2.o CTRGouraudAlpha2.o CTRGouraudAlphaNoZ2.o CTRTextureDetailMap2.o CTRTextureGouraudAdd2.o CTRTextureGouraudAddNoZ2.o CTRTextureWire2.o CTRTextureLightMap2_Add.o CTRTextureLightMapGouraud2_M4.o IBurningShader.o CTRTextureBlend.o CTRTextureGouraudAlpha.o CTRTextureGouraudAlphaNoZ.o CDepthBuffer.o CBurningShader_Raster_Reference.o
IRRIOOBJ = CFileList.o CFileSystem.o CLimitReadFile.o CMemoryFile.o CReadFile.o CWriteFile.o CXMLReader.o CXMLWriter.o CWADReader.o CZipReader.o CPakReader.o CNPKReader.o CTarReader.o CMountPointReader.o irrXML.o CAttributes.o lzma/LzmaDec.o
IRROTHEROBJ = CIrrDeviceSDL.o CIrrDeviceLinux.o CIrrDeviceConsole.o CIrrDeviceStub.o CIrrDeviceWin32.o CIrrDeviceFB.o CLogger.o COSOperator.o Irrlicht.o os.o
IRRGUIOBJ = CGUIButton.o CGUICheckBox.o CGUIComboBox.o CGUIContextMenu.o CGUIEditBox.o CGUIEnvironment.o CGUIFileOpenDialog.o CGUIFont.o CGUIImage.o CGUIInOutFader.o CGUIListBox.o CGUIMenu.o CGUIMeshViewer.o CGUIMessageBox.o CGUIModalScreen.o CGUIScrollBar.o CGUISpinBox.o CGUISkin.o CGUIStaticText.o CGUITabControl.o CGUITable.o CGUIToolBar.o CGUIWindow.o CGUIColorSelectDialog.o CDefaultGUIElementFactory.o CGUISpriteBank.o CGUIImageList.o CGUITreeView.o
ZLIBOBJ = zlib/adler32.o zlib/compress.o zlib/crc32.o zlib/deflate.o zlib/inffast.o zlib/inflate.o zlib/inftrees.o zlib/trees.o zlib/uncompr.o zlib/zutil.o
JPEGLIBOBJ = jpeglib/jcapimin.o jpeglib/jcapistd.o jpeglib/jccoefct.o jpeglib/jccolor.o jpeglib/jcdctmgr.o jpeglib/jchuff.o jpeglib/jcinit.o jpeglib/jcmainct.o jpeglib/jcmarker.o jpeglib/jcmaster.o jpeglib/jcomapi.o jpeglib/jcparam.o jpeglib/jcprepct.o jpeglib/jcsample.o jpeglib/jctrans.o jpeglib/jdapimin.o jpeglib/jdapistd.o jpeglib/jdatadst.o jpeglib/jdatasrc.o jpeglib/jdcoefct.o jpeglib/jdcolor.o jpeglib/jddctmgr.o jpeglib/jdhuff.o jpeglib/jdinput.o jpeglib/jdmainct.o jpeglib/jdmarker.o jpeglib/jdmaster.o jpeglib/jdmerge.o jpeglib/jdpostct.o jpeglib/jdsample.o jpeglib/jdtrans.o jpeglib/jerror.o jpeglib/jfdctflt.o jpeglib/jfdctfst.o jpeglib/jfdctint.o jpeglib/jidctflt.o jpeglib/jidctfst.o jpeglib/jidctint.o jpeglib/jmemmgr.o jpeglib/jmemnobs.o jpeglib/jquant1.o jpeglib/jquant2.o jpeglib/jutils.o jpeglib/jcarith.o jpeglib/jdarith.o jpeglib/jaricom.o
LIBPNGOBJ = libpng/png.o libpng/pngerror.o libpng/pngget.o libpng/pngmem.o libpng/pngpread.o libpng/pngread.o libpng/pngrio.o libpng/pngrtran.o libpng/pngrutil.o libpng/pngset.o libpng/pngtrans.o libpng/pngwio.o libpng/pngwrite.o libpng/pngwtran.o libpng/pngwutil.o
LIBAESGM = aesGladman/aescrypt.o aesGladman/aeskey.o aesGladman/aestab.o aesGladman/fileenc.o aesGladman/hmac.o aesGladman/prng.o aesGladman/pwd2key.o aesGladman/sha1.o aesGladman/sha2.o
BZIP2OBJ = bzip2/blocksort.o bzip2/huffman.o bzip2/crctable.o bzip2/randtable.o bzip2/bzcompress.o bzip2/decompress.o bzip2/bzlib.o

# Next variable is for additional scene nodes etc. of customized Irrlicht versions
EXTRAOBJ =
LINKOBJ = $(IRRMESHOBJ) $(IRROBJ) $(IRRPARTICLEOBJ) $(IRRANIMOBJ) \
	$(IRRVIDEOOBJ) $(IRRSWRENDEROBJ) $(IRRIOOBJ) $(IRROTHEROBJ) \
	$(IRRGUIOBJ) $(ZLIBOBJ) $(JPEGLIBOBJ) $(LIBPNGOBJ) $(LIBAESGM) \
	$(BZIP2OBJ) $(EXTRAOBJ)

###############
#Compiler flags
CXXINCS = -I../../include -Izlib -Ijpeglib -Ilibpng
CPPFLAGS += $(CXXINCS) -DIRRLICHT_EXPORTS=1
CXXFLAGS += -Wall -pipe -fno-exceptions -fno-rtti -fstrict-aliasing
ifndef NDEBUG
CXXFLAGS += -g -D_DEBUG
else
CXXFLAGS += -fexpensive-optimizations -O3
endif
ifdef PROFILE
CXXFLAGS += -pg
endif
CFLAGS := -O3 -fexpensive-optimizations -DPNG_THREAD_UNSAFE_OK -DPNG_NO_MMX_CODE -DPNG_NO_MNG_FEATURES

sharedlib sharedlib_osx: CXXFLAGS += -fPIC
sharedlib sharedlib_osx: CFLAGS += -fPIC

#multilib handling
ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

#Linux specific options
staticlib sharedlib install: SYSTEM = Linux
STATIC_LIB = libIrrlicht.a
LIB_PATH = ../../lib/$(SYSTEM)
INSTALL_DIR = /usr/local/lib
sharedlib install: SHARED_LIB = libIrrlicht.so
sharedlib: LDFLAGS += -L/usr/X11R6/lib$(LIBSELECT) -lGL -lXxf86vm
staticlib sharedlib: CXXINCS += -I/usr/X11R6/include

#OSX specific options
staticlib_osx sharedlib_osx install_osx: SYSTEM = MacOSX
staticlib_osx sharedlib_osx: IRROTHEROBJ += MacOSX/CIrrDeviceMacOSX.o MacOSX/OSXClipboard.o MacOSX/AppDelegate.o
staticlib_osx sharedlib_osx: CXXINCS += -IMacOSX -I/usr/X11R6/include
sharedlib_osx install_osx: SHARED_LIB = libIrrlicht.dylib
staticlib_osx sharedlib_osx: LDFLAGS += --no-export-all-symbols --add-stdcall-alias
sharedlib_osx: LDFLAGS += -L/usr/X11R6/lib$(LIBSELECT) -lGL -lXxf86vm
# for non-X11 app
#sharedlib_osx: LDFLAGS += -framework cocoa -framework carbon -framework opengl -framework IOKit

#Windows specific options
IRRLICHT_DLL := ../../bin/Win32-gcc/Irrlicht.dll
sharedlib_win32 staticlib_win32: SYSTEM = Win32-gcc
sharedlib_win32: LDFLAGS += -lgdi32 -lopengl32 -ld3dx9d -lwinmm -Wl,--add-stdcall-alias
#choose either -DIRR_COMPILE_WITH_DX9_DEV_PACK or -DNO_IRR_COMPILE_WITH_DIRECT3D_9_ depending if you need dx9
#sharedlib_win32 staticlib_win32: CPPFLAGS += -DIRR_COMPILE_WITH_DX9_DEV_PACK
sharedlib_win32 staticlib_win32: CPPFLAGS += -DNO_IRR_COMPILE_WITH_DIRECTINPUT_JOYSTICK_ -DNO_IRR_COMPILE_WITH_DIRECT3D_9_
sharedlib_win32 staticlib_win32: CPPFLAGS += -DIRR_COMPILE_WITH_DX9_DEV_PACK -D__GNUWIN32__ -D_WIN32 -DWIN32 -D_WINDOWS -D_MBCS -D_USRDLL
staticlib_win32: CPPFLAGS += -D_IRR_STATIC_LIB_

VERSION = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_RELEASE)
SHARED_FULLNAME = $(SHARED_LIB).$(VERSION)
SONAME = $(SHARED_LIB).$(VERSION_MAJOR).$(VERSION_MINOR)

####################
# All target, builds Irrlicht as static lib (libIrrlicht.a) and copies it into lib/Linux
all linux: staticlib

# Builds Irrlicht as shared lib (libIrrlicht.so.versionNumber) and copies it into lib/Linux
sharedlib: $(LINKOBJ)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -Wl,-soname,$(SONAME) -o $(SHARED_FULLNAME) $^ $(LDFLAGS)
	mkdir -p $(LIB_PATH)
	cp $(SHARED_FULLNAME) $(LIB_PATH)

# Builds Irrlicht as static lib (libIrrlicht.a)
$(STATIC_LIB): $(LINKOBJ)
	$(AR) rs $@ $^

# Copies static lib into lib/Linux
staticlib staticlib_osx: $(STATIC_LIB)
	mkdir -p $(LIB_PATH)
	cp $^ $(LIB_PATH)

# Builds Irrlicht as dll (Irrlicht.dll) into ../../bin/Win32-gcc
all_win32 win32: sharedlib_win32
sharedlib_win32: $(IRRLICHT_DLL)
../../bin/Win32-gcc/Irrlicht.dll: $(LINKOBJ)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -o $@ $^ $(LDFLAGS) -Wl,--out-implib,../../lib/Win32-gcc/$(STATIC_LIB)
# Copies static lib into /lib/Win32-gcc
staticlib_win32: $(STATIC_LIB)
	cp $^ $(LIB_PATH)

# Builds Irrlicht as shared lib (libIrrlicht.so.versionNumber) and copies it into /lib/MacOSX
sharedlib_osx: $(LINKOBJ)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -dynamiclib -Wl,-install_name,$(SONAME) -o $(SHARED_FULLNAME) $^ $(LDFLAGS)
	cp $(SHARED_FULLNAME) $(LIB_PATH)

# Installs Irrlicht if it was created as shared lib
install install_osx:
	$(RM) -r $(INSTALL_DIR)/../include/irrlicht
	mkdir -p $(INSTALL_DIR)/../include/irrlicht
	cp ../../include/*.h $(INSTALL_DIR)/../include/irrlicht/
	cp $(LIB_PATH)/$(SHARED_FULLNAME) $(INSTALL_DIR)
	cd $(INSTALL_DIR) && ln -s -f $(SHARED_FULLNAME) $(SONAME)
	cd $(INSTALL_DIR) && ln -s -f $(SONAME) $(SHARED_LIB)
#	ldconfig -n $(INSTALL_DIR)

TAGS:
	ctags *.cpp ../../include/*.h *.h

# Create dependency files for automatic recompilation
%.d:%.cpp
	$(CXX) $(CPPFLAGS) -MM -MF $@ $<

# Create dependency files for automatic recompilation
%.d:%.c
	$(CC) $(CPPFLAGS) -MM -MF $@ $<

# Create object files from objective-c code
%.o:%.mm
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

ifneq ($(MAKECMDGOALS),clean)
-include $(LINKOBJ:.o=.d)
endif

help:
	@echo "Available targets for Irrlicht"
	@echo " sharedlib: Build shared library Irrlicht.so for Linux"
	@echo " staticlib: Build static library Irrlicht.a for Linux"
	@echo " install: Copy shared library to /usr/local/lib"
	@echo ""
	@echo " sharedlib_win32: Build shared library Irrlicht.dll for Windows"

=== tools/IrrFontTool/newFontTool/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = FontTool
Sources = CFontTool.cpp main.cpp

# general compiler settings
CPPFLAGS = -I../../../include -I/usr/X11R6/include -I/usr/include/freetype2/
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXft
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../../lib/Win32-gcc -lIrrlicht -lgdi32 -lopengl32 -lglu32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== debian/changelog ===
irrlicht (1.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 19 Dec 2013 22:04:44 -0800

=== debian/control ===
Source: irrlicht
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christoph Egger <christoph@debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 debhelper (>= 9),
 doxygen-latex,
 libbz2-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 mesa-common-dev (>= 7.6),
 x11proto-xf86vidmode-dev,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://irrlicht.sf.net
Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git

Package: libirrlicht-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
Suggests: libirrlicht-doc
Description: High performance realtime 3D engine development library
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the development library.

Package: libirrlicht1.8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High performance realtime 3D engine
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.

Package: libirrlicht1.8-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for irrlicht
 This package contains the debugging symbols associated with irrlicht.
 They will automatically be used by gdb for debugging irrlicht-related
 issues.

Package: libirrlicht-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: High performance realtime 3D engine (API documentation)
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/topgit/tg2quilt.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# shared library versions, option 1
upstream_version=1.8.1
version=1.8.1
major=1.8
repackv=1

%:
	dh $@

override_dh_clean:
	# clean documentation
	rm -rf doctemp
	rm -rf doc/html
	rm -rf doc/latex
	
	# clean everything else
	$(MAKE) -C source/Irrlicht clean
	
	dh_clean

override_dh_auto_build:
	mkdir -p lib/Linux
	
	# build irrlicht shared and static lib
	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht sharedlib
	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
	
	# build documentation
	cd scripts/doc/irrlicht && sh makedocumentation.sh
	mv doctemp/* doc/

override_dh_installdirs:
	dh_installdirs -plibirrlicht-dev -Pdebian/tmp usr/include/irrlicht \
	usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp \
	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_link:
	dh_link -plibirrlicht$(major) \
	usr/lib/$(DEB_HOST_MULTIARCH)/libIrrlicht.so.$(version) \
	usr/lib/$(DEB_HOST_MULTIARCH)/libIrrlicht.so.$(major)

override_dh_strip:
	dh_strip --dbg-package=libirrlicht$(major)-dbg

get-orig-source:
	# Note: scripts/ directory seems to be missing from upstream zip, so download from:
	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/
	mkdir -p ../repack
	uscan --force-download --destdir ../repack --download-current-version
	( \
		cd ../repack ;\
		unzip irrlicht-$(upstream_version).zip ;\
		cd irrlicht-$(upstream_version) ;\
		rm -rf source/Irrlicht/jpeglib ;\
		rm -rf source/Irrlicht/zlib ;\
		rm -rf source/Irrlicht/libpng ;\
		rm -rf source/Irrlicht/lzma ;\
		rm -rf source/Irrlicht/bzip2 ;\
		rm -rf source/Irrlicht/MacOSX ;\
		rm -f source/Irrlicht/glext.h ;\
		rm -f source/Irrlicht/glxext.h ;\
		rm -f source/Irrlicht/wglext.h ;\
		rm -rf bin ;\
		rm -rf media ;\
		rm -rf lib ;\
		rm -rf doc/html ;\
		svn co https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/ scripts ;\
		find . -name .svn -exec rm -rf {} \; ;\
		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
		cd .. ;\
		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\
	)
	rm -rf ../repack

## irrlicht 1.8.3+dfsg1

=== examples/22.MaterialViewer/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 22.MaterialViewer
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
#CXXFLAGS = -O3 -ffast-math
CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== source/Irrlicht/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION_MAJOR = 1
 VERSION_MINOR = 8
-VERSION_RELEASE = 1
-# Irrlicht Engine 1.8.1
+VERSION_RELEASE = 3
+# Irrlicht Engine 1.8.3
 # Makefile for Linux
 #
 # To use, just run:

=== tools/MeshConverter/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = MeshConverter
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math -Wall
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lglu32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== tools/IrrFontTool/newFontTool/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 # target specific settings
-all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXft
+all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXft -lfontconfig
 all_linux clean_linux: SYSTEM=Linux
 all_win32: LDFLAGS = -L../../../lib/Win32-gcc -lIrrlicht -lgdi32 -lopengl32 -lglu32 -lm
 all_win32 clean_win32: SYSTEM=Win32-gcc

=== debian/changelog ===
irrlicht (1.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fix the fix for compiling on GCC5 (thanks to est31 for report and patch)
      (Closes: #798694)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 13 Sep 2015 23:57:14 -0700

irrlicht (1.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Drop make-build-reproducible.patch, obsolete.
  * Build-dep on doxygen instead of doxygen-latex.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 10 Sep 2015 12:26:34 -0700

irrlicht (1.8.1+dfsg1-2) unstable; urgency=medium

  * Add patch to make build reproducible. (Closes: #788336)
  * Update my email address.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Jun 2015 21:18:26 -0700

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Christoph Egger <christoph@debian.org>,
- Vincent Cheng <Vincentc1208@gmail.com>
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
- doxygen-latex,
+ doxygen,
  libbz2-dev,
  libglu1-mesa-dev,
  libjpeg-dev,
@@ -19,7 +19,7 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://irrlicht.sf.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 # shared library versions, option 1
-upstream_version=1.8.1
-version=1.8.1
+upstream_version=1.8.3
+version=1.8.3
 major=1.8
 repackv=1
 
@@ -36,7 +37,13 @@
 	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
 	
 	# build documentation
-	cd scripts/doc/irrlicht && sh makedocumentation.sh
+	# based off of scripts/doc/irrlicht/makedocumentation.sh
+	cd scripts/doc/irrlicht && rm -f tut.txt && \
+	for i in ../../../examples/[012]*/main.cpp; do \
+	  sed -f tutorials.sed $i >>tut.txt; \
+	done && \
+	doxygen doxygen.cfg && \
+	cp irrlicht.png logobig.png ../../../doctemp/html
 	mv doctemp/* doc/
 
 override_dh_installdirs:
@@ -60,12 +67,12 @@
 
 get-orig-source:
 	# Note: scripts/ directory seems to be missing from upstream zip, so download from:
-	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/
+	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.8/scripts/
 	mkdir -p ../repack
 	uscan --force-download --destdir ../repack --download-current-version
 	( \
 		cd ../repack ;\
-		unzip irrlicht-$(upstream_version).zip ;\
+		unzip -q irrlicht-$(upstream_version).zip ;\
 		cd irrlicht-$(upstream_version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
@@ -80,11 +87,11 @@
 		rm -rf media ;\
 		rm -rf lib ;\
 		rm -rf doc/html ;\
-		svn co https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/ scripts ;\
+		svn co https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
 		find . -name .svn -exec rm -rf {} \; ;\
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\
-		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
+		GZIP="--best" tar --mtime="$(SOURCE_DATE)" -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
 		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\
 	)
 	rm -rf ../repack

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$//g \
 http://sf.net/irrlicht/irrlicht-([\.0-9]+)\.zip

# http://irrlicht.sourceforge.net/downloads.html irrlicht-(.*)\.zip

# http://sf.net/irrlicht/irrlicht-([\.0-9]+)\.zip

## irrlicht 1.8.4+dfsg1

=== examples/05.UserInterface/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 05.UserInterface
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/11.PerPixelLighting/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 11.PerPixelLighting
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== source/Irrlicht/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION_MAJOR = 1
 VERSION_MINOR = 8
-VERSION_RELEASE = 3
-# Irrlicht Engine 1.8.3
+VERSION_RELEASE = 4
+# Irrlicht Engine 1.8.4
 # Makefile for Linux
 #
 # To use, just run:

=== source/Irrlicht/SConstruct ===
import os
import sys

USE_GCC = 1;
NDEBUG = 1;
PROFILE = 0;

APPLICATION_NAME = 'Irrlicht';
LIBRARIES = ['gdi32', 'opengl32', 'd3dx9d', 'winmm'];
if USE_GCC==1 and PROFILE==1:
	LIBRARIES += ['gmon'];

CXXINCS = ['../../include/', 'zlib/', 'jpeglib/', 'libpng/'];

if USE_GCC==0:
	env = Environment(ENV = {
        'PATH': os.environ['PATH']
    }, CPPPATH=CXXINCS);
else:
	env = Environment(ENV = {
        'PATH': os.environ['PATH']
    }, tools = ['mingw'], CPPPATH=CXXINCS);

IRRMESHLOADER = ['CBSPMeshFileLoader.cpp', 'CMD2MeshFileLoader.cpp', 'CMD3MeshFileLoader.cpp', 'CMS3DMeshFileLoader.cpp', 'CB3DMeshFileLoader.cpp', 'C3DSMeshFileLoader.cpp', 'COgreMeshFileLoader.cpp', 'COBJMeshFileLoader.cpp', 'CColladaFileLoader.cpp', 'CCSMLoader.cpp', 'CDMFLoader.cpp', 'CLMTSMeshFileLoader.cpp', 'CMY3DMeshFileLoader.cpp', 'COCTLoader.cpp', 'CXMeshFileLoader.cpp', 'CIrrMeshFileLoader.cpp', 'CSTLMeshFileLoader.cpp', 'CLWOMeshFileLoader.cpp'];

IRRMESHWRITER = ['CColladaMeshWriter.cpp', 'CIrrMeshWriter.cpp', 'COBJMeshWriter.cpp', 'CSTLMeshWriter.cpp'];

IRRMESHOBJ = IRRMESHLOADER + IRRMESHWRITER + ['CSkinnedMesh.cpp', 'CBoneSceneNode.cpp', 'CMeshSceneNode.cpp', 'CAnimatedMeshSceneNode.cpp', 'CAnimatedMeshMD2.cpp', 'CAnimatedMeshMD3.cpp', 'CQ3LevelMesh.cpp', 'CQuake3ShaderSceneNode.cpp'];

IRROBJ = ['CBillboardSceneNode.cpp', 'CCameraSceneNode.cpp', 'CDummyTransformationSceneNode.cpp', 'CEmptySceneNode.cpp', 'CGeometryCreator.cpp', 'CLightSceneNode.cpp', 'CMeshManipulator.cpp', 'CMetaTriangleSelector.cpp', 'COctreeSceneNode.cpp', 'COctreeTriangleSelector.cpp', 'CSceneCollisionManager.cpp', 'CSceneManager.cpp', 'CShadowVolumeSceneNode.cpp', 'CSkyBoxSceneNode.cpp', 'CSkyDomeSceneNode.cpp', 'CTerrainSceneNode.cpp', 'CTerrainTriangleSelector.cpp', 'CVolumeLightSceneNode.cpp', 'CCubeSceneNode.cpp', 'CSphereSceneNode.cpp', 'CTextSceneNode.cpp', 'CTriangleBBSelector.cpp', 'CTriangleSelector.cpp', 'CWaterSurfaceSceneNode.cpp', 'CMeshCache.cpp', 'CDefaultSceneNodeAnimatorFactory.cpp', 'CDefaultSceneNodeFactory.cpp'];

IRRPARTICLEOBJ = ['CParticleAnimatedMeshSceneNodeEmitter.cpp', 'CParticleBoxEmitter.cpp', 'CParticleCylinderEmitter.cpp', 'CParticleMeshEmitter.cpp', 'CParticlePointEmitter.cpp', 'CParticleRingEmitter.cpp', 'CParticleSphereEmitter.cpp', 'CParticleAttractionAffector.cpp', 'CParticleFadeOutAffector.cpp', 'CParticleGravityAffector.cpp', 'CParticleRotationAffector.cpp', 'CParticleSystemSceneNode.cpp', 'CParticleScaleAffector.cpp'];

IRRANIMOBJ = ['CSceneNodeAnimatorCameraFPS.cpp', 'CSceneNodeAnimatorCameraMaya.cpp', 'CSceneNodeAnimatorCollisionResponse.cpp', 'CSceneNodeAnimatorDelete.cpp', 'CSceneNodeAnimatorFlyCircle.cpp', 'CSceneNodeAnimatorFlyStraight.cpp', 'CSceneNodeAnimatorFollowSpline.cpp', 'CSceneNodeAnimatorRotation.cpp', 'CSceneNodeAnimatorTexture.cpp'];

IRRDRVROBJ = ['CNullDriver.cpp', 'COpenGLDriver.cpp', 'COpenGLNormalMapRenderer.cpp', 'COpenGLParallaxMapRenderer.cpp', 'COpenGLShaderMaterialRenderer.cpp', 'COpenGLTexture.cpp', 'COpenGLSLMaterialRenderer.cpp', 'COpenGLExtensionHandler.cpp', 'CD3D8Driver.cpp', 'CD3D8NormalMapRenderer.cpp', 'CD3D8ParallaxMapRenderer.cpp', 'CD3D8ShaderMaterialRenderer.cpp', 'CD3D8Texture.cpp', 'CD3D9Driver.cpp', 'CD3D9HLSLMaterialRenderer.cpp', 'CD3D9NormalMapRenderer.cpp', 'CD3D9ParallaxMapRenderer.cpp', 'CD3D9ShaderMaterialRenderer.cpp', 'CD3D9Texture.cpp'];

IRRIMAGEOBJ = ['CColorConverter.cpp', 'CImage.cpp', 'CImageLoaderBMP.cpp', 'CImageLoaderJPG.cpp', 'CImageLoaderPCX.cpp', 'CImageLoaderPNG.cpp', 'CImageLoaderPSD.cpp', 'CImageLoaderTGA.cpp', 'CImageLoaderPPM.cpp', 'CImageLoaderWAL.cpp', 'CImageWriterBMP.cpp', 'CImageWriterJPG.cpp', 'CImageWriterPCX.cpp', 'CImageWriterPNG.cpp', 'CImageWriterPPM.cpp', 'CImageWriterPSD.cpp', 'CImageWriterTGA.cpp'];

IRRVIDEOOBJ = ['CVideoModeList.cpp', 'CFPSCounter.cpp'] + IRRDRVROBJ + IRRIMAGEOBJ;

IRRSWRENDEROBJ = ['CSoftwareDriver.cpp', 'CSoftwareTexture.cpp', 'CTRFlat.cpp', 'CTRFlatWire.cpp', 'CTRGouraud.cpp', 'CTRGouraudWire.cpp', 'CTRTextureFlat.cpp', 'CTRTextureFlatWire.cpp', 'CTRTextureGouraud.cpp', 'CTRTextureGouraudAdd.cpp', 'CTRTextureGouraudNoZ.cpp', 'CTRTextureGouraudWire.cpp', 'CZBuffer.cpp', 'CTRTextureGouraudVertexAlpha2.cpp', 'CTRTextureGouraudNoZ2.cpp', 'CTRTextureLightMap2_M2.cpp', 'CTRTextureLightMap2_M4.cpp', 'CTRTextureLightMap2_M1.cpp', 'CSoftwareDriver2.cpp', 'CSoftwareTexture2.cpp', 'CTRTextureGouraud2.cpp', 'CTRGouraud2.cpp', 'CTRGouraudAlpha2.cpp', 'CTRGouraudAlphaNoZ2.cpp', 'CTRTextureDetailMap2.cpp', 'CTRTextureGouraudAdd2.cpp', 'CTRTextureGouraudAddNoZ2.cpp', 'CTRTextureWire2.cpp', 'CTRTextureLightMap2_Add.cpp', 'CTRTextureLightMapGouraud2_M4.cpp', 'IBurningShader.cpp', 'CTRTextureBlend.cpp', 'CTRTextureGouraudAlpha.cpp', 'CTRTextureGouraudAlphaNoZ.cpp', 'CDepthBuffer.cpp', 'CBurningShader_Raster_Reference.cpp'];

IRRIOOBJ = ['CFileList.cpp', 'CFileSystem.cpp', 'CLimitReadFile.cpp', 'CMemoryReadFile.cpp', 'CReadFile.cpp', 'CWriteFile.cpp', 'CXMLReader.cpp', 'CXMLWriter.cpp', 'CZipReader.cpp', 'CPakReader.cpp', 'CNPKReader.cpp', 'irrXML.cpp', 'CAttributes.cpp', 'lzma/LzmaDec.c'];

IRROTHEROBJ = ['CIrrDeviceSDL.cpp', 'CIrrDeviceLinux.cpp', 'CIrrDeviceStub.cpp', 'CIrrDeviceWin32.cpp', 'CLogger.cpp', 'COSOperator.cpp', 'Irrlicht.cpp', 'os.cpp'];

IRRGUIOBJ = ['CGUIButton.cpp', 'CGUICheckBox.cpp', 'CGUIComboBox.cpp', 'CGUIContextMenu.cpp', 'CGUIEditBox.cpp', 'CGUIEnvironment.cpp', 'CGUIFileOpenDialog.cpp', 'CGUIFont.cpp', 'CGUIImage.cpp', 'CGUIInOutFader.cpp', 'CGUIListBox.cpp', 'CGUIMenu.cpp', 'CGUIMeshViewer.cpp', 'CGUIMessageBox.cpp', 'CGUIModalScreen.cpp', 'CGUIScrollBar.cpp', 'CGUISpinBox.cpp', 'CGUISkin.cpp', 'CGUIStaticText.cpp', 'CGUITabControl.cpp', 'CGUITable.cpp', 'CGUIToolBar.cpp', 'CGUIWindow.cpp', 'CGUIColorSelectDialog.cpp', 'CDefaultGUIElementFactory.cpp', 'CGUISpriteBank.cpp'];

ZLIB_PREFIX = 'zlib/';
ZLIBNAMES = ['adler32.c', 'compress.c', 'crc32.c', 'deflate.c', 'inffast.c', 'inflate.c', 'inftrees.c', 'trees.c', 'uncompr.c', 'zutil.c'];
ZLIBOBJ = [];
for fileName in ZLIBNAMES:
	ZLIBOBJ += [ZLIB_PREFIX + fileName];

JPEGLIB_PREFIX = 'jpeglib/';
JPEGLIBNAMES = ['jaricom.c', 'jcapimin.c', 'jcapistd.c', 'jcarith.c', 'jccoefct.c', 'jccolor.c', 'jcdctmgr.c', 'jchuff.c', 'jcinit.c', 'jcmainct.c', 'jcmarker.c', 'jcmaster.c', 'jcomapi.c', 'jcparam.c', 'jcprepct.c', 'jcsample.c', 'jctrans.c', 'jdapimin.c', 'jdapistd.c', 'jdarith.c', 'jdatadst.c', 'jdatasrc.c', 'jdcoefct.c', 'jdcolor.c', 'jddctmgr.c', 'jdhuff.c', 'jdinput.c', 'jdmainct.c', 'jdmarker.c', 'jdmaster.c', 'jdmerge.c', 'jdpostct.c', 'jdsample.c', 'jdtrans.c', 'jerror.c', 'jfdctflt.c', 'jfdctfst.c', 'jfdctint.c', 'jidctflt.c', 'jidctfst.c', 'jidctint.c', 'jmemmgr.c', 'jmemnobs.c', 'jquant1.c', 'jquant2.c', 'jutils.c'];
JPEGLIBOBJ = [];
for fileName in JPEGLIBNAMES:
	JPEGLIBOBJ += [JPEGLIB_PREFIX + fileName];

LIBPNG_PREFIX = 'libpng/';
LIBPNGNAMES = ['png.c', 'pngerror.c', 'pngget.c', 'pngmem.c', 'pngpread.c', 'pngread.c', 'pngrio.c', 'pngrtran.c', 'pngrutil.c', 'pngset.c', 'pngtrans.c', 'pngwio.c', 'pngwrite.c', 'pngwtran.c', 'pngwutil.c'];
LIBPNGOBJ = [];
for fileName in LIBPNGNAMES:
	LIBPNGOBJ += [LIBPNG_PREFIX + fileName];

AESGLADMAN_PREFIX = 'aesGladman/';
AESGLADMANNAMES = ['aescrypt.cpp', 'aeskey.cpp', 'aestab.cpp', 'fileenc.cpp', 'hmac.cpp', 'prng.cpp', 'pwd2key.cpp', 'sha1.cpp', 'sha2.cpp'];
AESGLADMANOBJ = [];
for fileName in AESGLADMANNAMES:
	AESGLADMANOBJ += [AESGLADMAN_PREFIX + fileName];

BZIP2_PREFIX = 'bzip2/';
BZIP2NAMES = ['blocksort.c', 'bzcompress.c', 'bzlib.c', 'crctable.c', 'decompress.c', 'huffman.c', 'randtable.c'];
BZIP2OBJ = [];
for fileName in BZIP2NAMES:
	BZIP2OBJ += [BZIP2_PREFIX + fileName];

# Next variable is for additional scene nodes etc. of customized Irrlicht versions
EXTRAOBJ = [];

LINKOBJ = IRRMESHOBJ + IRROBJ + IRRPARTICLEOBJ + IRRANIMOBJ + IRRVIDEOOBJ + IRRSWRENDEROBJ + IRRIOOBJ + IRROTHEROBJ + IRRGUIOBJ + ZLIBOBJ + JPEGLIBOBJ + LIBPNGOBJ + AESGLADMANOBJ + EXTRAOBJ;

env.Append(LIBS = LIBRARIES, LIBPATH = CXXINCS);

CXXFLAGS = ['-Wall'];
if NDEBUG:
	CXXFLAGS += ['-fexpensive-optimizations', '-O3'];
else:
	CXXFLAGS += ['-g', '-D_DEBUG'];

if PROFILE:
	CXXFLAGS += ['-pg'];

CXXFLAGS += ['-DPNG_NO_MMX_CODE', '-DPNG_NO_MNG_FEATURES', '-DIRRLICHT_EXPORTS=1', '-D_IRR_STATIC_LIB_'];
if USE_GCC:
	CXXFLAGS += ['-D__GNUWIN32__=1'];

env.Append(CCFLAGS = CXXFLAGS);

IrrlichtLibrary = env.SharedLibrary("Irrlicht.dll", LINKOBJ);

=== tools/GUIEditor/Makefile ===
# Irrlicht Engine GUIEditor Makefile
Target = GUIEditor
Sources = CGUIAttributeEditor.cpp CGUIEditFactory.cpp CGUIEditWindow.cpp CGUIEditWorkspace.cpp CGUIPanel.cpp CGUITextureCacheBrowser.cpp CMemoryReadWriteFile.cpp main.cpp

CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -Wall -O3 -ffast-math

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

all: all_linux

# target specific settings
all_linux: SYSTEM=Linux
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/$(SYSTEM) -lIrrlicht -lGL -lXxf86vm -lXext -lX11

all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32: LDFLAGS = -L../../lib/$(SYSTEM) -lIrrlicht -lopengl32 -lm

# if you enable sound add the proper library for linking
#LDFLAGS += -lIrrKlang
#LDFLAGS += -laudiere
#LDFLAGS += -lSDL_mixer -lSDL

all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

OBJ = $(Sources:.cpp=.o)

all_linux all_win32: $(OBJ)
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)
	@$(RM) $(OBJ)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== debian/changelog ===
irrlicht (1.8.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Remove gcc6.patch; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 20 Sep 2016 22:54:13 -0700

irrlicht (1.8.3+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump standards-version up.
  * Rewrite Vcs-* fields (use https).
  * Add an upstream patch to fix gcc 6 warnings and errors. (Closes: #811787)

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 06 Jul 2016 12:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://irrlicht.sf.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/irrlicht.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/irrlicht.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/irrlicht.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/irrlicht.git
 
 Package: libirrlicht-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
--include /usr/share/topgit/tg2quilt.mk
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
@@ -8,10 +6,11 @@
 SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 # shared library versions, option 1
-upstream_version=1.8.3
-version=1.8.3
+upstream_version=1.8.4
+version=1.8.4
 major=1.8
 repackv=1
+scripts_svn_rev=5339
 
 %:
 	dh $@
@@ -87,7 +86,7 @@
 		rm -rf media ;\
 		rm -rf lib ;\
 		rm -rf doc/html ;\
-		svn co https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
+		svn co -r $(scripts_svn_rev) https://svn.code.sf.net/p/irrlicht/code/branches/releases/1.8/scripts/ scripts ;\
 		find . -name .svn -exec rm -rf {} \; ;\
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\

## irrlicht 1.8.4.0

=== debian/changelog ===
irrlicht (1.8.4.0-1.2) unstable; urgency=medium

  * rebuild for minenux with sse flags for x86 and x64 cpus
  * backported optimized for venenux 1.X releases, use sse and march 
    autodetection for jessie, wheeze and strecht (wheeze+ are just modern cpu only)
  * patched for honor the CFLAGS and CXXFLAGS on makefiles due irrlight 
    custom makefile does not honor parsing flags, workaround Closes: #927456
  * Improve a shell look in debian/rules by adding set -e to it and
    fixing a variable reference (it was intended for the shell, but
    make interpreted it instead).
  * Replace "Priority: extra" with "Priority: optional" as the
    former is deprecated.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers. (Closes: #853011)

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 06 Jan 2019 16:29:15 +0000

irrlicht (1.8.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload. Multiarch-able build for 1.X VenenuX series 
    and new upstream release for. Closes: #788336, #675929, #634032, #628282.
  * backported optimized for venenux 1.X releases, use sse and march 
    autodetection for jessie, wheeze and strecht (wheeze+ are just modern cpu only)
  * patched for honor the CFLAGS and CXXFLAGS on makefiles due irrlight 
    custom makefile does not honor parsing flags, workaround Closes: #927456
  * Improve a shell look in debian/rules by adding set -e to it and
    fixing a variable reference (it was intended for the shell, but
    make interpreted it instead).
  * Replace "Priority: extra" with "Priority: optional" as the
    former is deprecated.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers. (Closes: #853011)

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 06 Jan 2019 16:29:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Christoph Egger <christoph@debian.org>,
- Vincent Cheng <vcheng@debian.org>
-Build-Depends:
- debhelper (>= 9),
+Build-Depends: debhelper (>= 8),
  doxygen,
  libbz2-dev,
  libglu1-mesa-dev,
@@ -19,6 +15,7 @@
  mesa-common-dev (>= 7.6),
  x11proto-xf86vidmode-dev,
  zlib1g-dev
+Rules-Requires-Root: no
 Standards-Version: 3.9.8
 Homepage: http://irrlicht.sf.net
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/irrlicht.git
@@ -51,7 +48,6 @@
 
 Package: libirrlicht1.8-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
@@ -63,6 +59,7 @@
 Package: libirrlicht-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: High performance realtime 3D engine (API documentation)
  The Irrlicht Engine is an open source completely cross-platform 3D engine.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,41 @@
 repackv=1
 scripts_svn_rev=5339
 
+CFLAGS = -Wall -g 
+#
+### PICCORO optimizer flags for x86 machines, -03 only can be with gcc 3.4
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+CXXFLAGS += -O0
+else
+ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+else
+ifneq (,$(findstring i486,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mmmx -mtune=nocona -msse -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -march=i686 -mtune=nocona -mmmx  -msse -mfpmath=sse -Wall
+else
+CFLAGS += -O2 -fomit-frame-pointer 
+export CFLAGS += -O2 -fomit-frame-pointer 
+endif
+endif
+endif
+
+ifneq (,$(findstring 64,$(DEB_BUILD_ARCH)))
+CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse -mfpmath=sse -Wall
+export CFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse -mfpmath=sse -Wall
+CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse  -fpermissive -mfpmath=sse -Wall
+export CXXFLAGS += -O3 -fomit-frame-pointer -fexpensive-optimizations -mmmx -msse  -fpermissive -mfpmath=sse -Wall
+endif
+
+
 %:
-	dh $@
+	dh $@ --sourcedirectory=source/Irrlicht --parallel
 
 override_dh_clean:
 	# clean documentation
@@ -31,15 +64,13 @@
 	
 	# build irrlicht shared and static lib
 	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht sharedlib
-	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
+	CXXFLAGS="$(CXXFLAGS)" dh_auto_build -- sharedlib staticlib
 	
 	# build documentation
 	# based off of scripts/doc/irrlicht/makedocumentation.sh
-	cd scripts/doc/irrlicht && rm -f tut.txt && \
+	set -e ; cd scripts/doc/irrlicht && rm -f tut.txt && \
 	for i in ../../../examples/[012]*/main.cpp; do \
-	  sed -f tutorials.sed $i >>tut.txt; \
+	  sed -f tutorials.sed "$${i}" >>tut.txt; \
 	done && \
 	doxygen doxygen.cfg && \
 	cp irrlicht.png logobig.png ../../../doctemp/html
@@ -50,8 +81,8 @@
 	usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_install:
-	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp \
-	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install
+	dh_auto_install -- \
+	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt
